# Prs3d_WFRestrictedFace.gxx File Reference

`#include <Hatch_Hatcher.hxx>`
`#include <Graphic3d_Array1OfVertex.hxx>`
`#include <Graphic3d_ArrayOfPrimitives.hxx>`
`#include <Graphic3d_Group.hxx>`
`#include <gp_Pnt.hxx>`
`#include <Prs3d_IsoAspect.hxx>`
`#include <Adaptor3d_IsoCurve.hxx>`
`#include <Bnd_Box2d.hxx>`
`#include <BndLib_Add2dCurve.hxx>`
`#include <Precision.hxx>`
`#include <GeomAdaptor_Curve.hxx>`
`#include <Geom_Curve.hxx>`
`#include <GeomAbs_SurfaceType.hxx>`
`#include <Geom_Surface.hxx>`